# Generated by Django 2.1.7 on 2021-02-01 22:09

import django.contrib.postgres.fields.jsonb
from django.db import migrations
from django.db.models import Q

def create_groups(apps, scheme_editor):
    
    Group = apps.get_model('auth', 'Group')
    Permission = apps.get_model("auth", "Permission")

    admin_customer_group, created = Group.objects.get_or_create(name="Administrador Ventas")

    for permission in Permission.objects.filter(content_type__app_label='customers').filter(Q(content_type__model='leadtablesmodel') | Q(content_type__model='leadlettablesmodel')):

        admin_customer_group.permissions.add(permission)


def create_tables(apps, schema_editor):

    LeadletTable = apps.get_model("customers", "LeadletTablesModel")
    User = apps.get_model("auth", "User")
    db_alias = schema_editor.connection.alias

    leadlet_table = LeadletTable.objects.create(
        name="Tabla Prospectos",
        columns=["creator","created","name","primary_email","primary_phone", "origin_company", "str_address"],
        operator=2,
        filters=[], 
        creator=User.objects.get(pk=1)
        )

    prospect_table = LeadletTable.objects.create(
        name="Oportunidades",
        columns=["creator","created","name","primary_email","primary_phone", "origin_company", "str_address"],
        operator=2,
        filters=[], 
        creator=User.objects.get(pk=1),
        last_time= 15,
        last_time_type= 2
    )

    LeadTable = apps.get_model("customers", "LeadTablesModel")
    User = apps.get_model("auth", "User")
    db_alias = schema_editor.connection.alias

    lead_table = LeadTable.objects.create(
        name="Tabla Leads",
        columns=["creator","created","name","primary_email","primary_phone", "origin_company", "status", "str_address"],
        operator=2,
        filters=[], 
        creator=User.objects.get(pk=1)
    )


class Migration(migrations.Migration):

    dependencies = [
        ('customers', '0005_auto_20210225_1220'),
    ]

    operations = [
        migrations.RunPython(create_groups),
        migrations.RunPython(create_tables)
    ]
